Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366773 - Connection to a remote server using SSL fails
Summary: Connection to a remote server using SSL fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBD-MySQL
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 18:50 UTC by Paul E. Jones
Modified: 2016-08-27 10:20 UTC (History)
2 users (show)

Fixed In Version: perl-DBD-MySQL-4.035-2.fc26 perl-DBD-MySQL-4.035-3.fc24 perl-DBD-MySQL-4.035-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-26 10:22:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 116959 None None None 2016-08-16 16:03:59 UTC

Description Paul E. Jones 2016-08-12 18:50:22 UTC
Description of problem:
Using a Perl script to connect to a remote MariaDB server for a user who is required to use SSL fails. The same connection from the same machine worked with the initial Fedora 24 release, but it does not work now after performing a "dnf update".  Also running the same script from a Fedora 23 docker container on the same server works.


Version-Release number of selected component (if applicable):
perl-DBD-MySQL-4.035-1

How reproducible:
Attempt to connect to a MariaDB server using a user account that requires SSL.  Code like the following will fail:

 DBI->connect("DBI:mysql:" .
              "database=$database_name;" .
              "host=$database_server",
              "$database_user_id",
              "$database_password",
              { 'mysql_ssl' => 1,
                'mysql_ssl_verify_server_cert' => 1,
                'PrintError' => 1 });

Actual results:

DBI connect('database=XXXXX;host=XXXXX','spam',...) failed: Access denied for user 'XXXXX'@'XXXXX' (using password: YES) at ./dbtest.pl line 102.
Unable to connect to the database: Access denied for user 'XXXXX'@'XXXXX' (using password: YES)

Expected results:
No error should occur, and does not occur with Fedora 23 and did not occur with the initial release of Fedora 24.

Additional info:

Comment 1 Jitka Plesnikova 2016-08-15 14:35:51 UTC
There is a mistake in Makefile.PL options

Comment 2 Fedora Update System 2016-08-16 16:03:22 UTC
perl-DBD-MySQL-4.035-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0c16fc811

Comment 3 Fedora Update System 2016-08-16 16:11:08 UTC
perl-DBD-MySQL-4.035-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-80083f142c

Comment 4 Fedora Update System 2016-08-16 23:20:48 UTC
perl-DBD-MySQL-4.035-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-80083f142c

Comment 5 Paul E. Jones 2016-08-17 19:19:51 UTC
I manually checked perl-DBD-MySQL-4.035-2.fc24 and it worked for me.

Thanks!

Comment 6 Fedora Update System 2016-08-17 19:54:37 UTC
perl-DBD-MySQL-4.035-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0c16fc811

Comment 7 Fedora Update System 2016-08-18 15:27:41 UTC
perl-DBD-MySQL-4.035-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5418eb361

Comment 8 Fedora Update System 2016-08-18 15:32:02 UTC
perl-DBD-MySQL-4.035-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4334ddee02

Comment 9 Fedora Update System 2016-08-18 16:52:27 UTC
perl-DBD-MySQL-4.035-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5418eb361

Comment 10 Fedora Update System 2016-08-19 00:57:29 UTC
perl-DBD-MySQL-4.035-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4334ddee02

Comment 11 Fedora Update System 2016-08-26 10:22:00 UTC
perl-DBD-MySQL-4.035-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-27 10:20:19 UTC
perl-DBD-MySQL-4.035-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.